> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1audiencecontactsreport



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/audience/contacts/report
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/audience/contacts/report:
    post:
      tags:
        - Contacts
      operationId: contacts.report
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                sortModel:
                  type: array
                  example:
                    - sort: asc
                      colId: updated_datetime
                  prefixItems:
                    - $ref: '#/components/schemas/SortModelData'
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                filterModel:
                  type: array
                  example: >-
                    {"is_sent":{"filterType":"number","type":"greaterThan","filter":5}}


                    note that it needs to be col_id: {FilterModel}, PHP doesn't
                    support this kind of description.
                  prefixItems:
                    - type: array
                      prefixItems:
                        - $ref: '#/components/schemas/FilterModelData'
                      minItems: 1
                      maxItems: 1
                      additionalItems: false
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                rowGroupCols:
                  type: array
                  example:
                    - id: campaign_id
                      displayName: Campaign_Id
                      field: campaign_id
                  prefixItems:
                    - $ref: '#/components/schemas/RowGroupColsData'
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                groupKeys:
                  type: array
                  example: |-
                    ["campaign_uuid"]
                    Not the column type, it's a filter of the query
                  prefixItems:
                    - type: string
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                startRow:
                  type: integer
                  minimum: 0
                endRow:
                  type: integer
                  minimum: 1
                selectCols:
                  type: array
                  prefixItems:
                    - $ref: '#/components/schemas/ContactSmsFieldEnum'
                  minItems: 1
                  maxItems: 1
                  additionalItems: false
                groupByAll:
                  type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: string
                      last_page:
                        type: string
                        description: '''from'' => $this->firstItem(),'
                      per_page:
                        type: string
                      total:
                        type: string
                        description: '''to'' => $this->lastItem(),'
                    required:
                      - current_page
                      - last_page
                      - per_page
                      - total
                required:
                  - data
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````